package com.engine.organization.entity.comp.dto;

import com.cloudstore.eccom.pc.table.WeaTableType;
import com.engine.organization.annotation.OrganizationTable;
import com.engine.organization.annotation.OrganizationTableOperate;
import com.engine.organization.annotation.TableTitle;
import lombok.AllArgsConstructor;
import lombok.Builder;
import lombok.Data;
import lombok.NoArgsConstructor;

import java.util.Date;
import java.util.List;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
@Data
@Builder
@NoArgsConstructor
@AllArgsConstructor
@OrganizationTable(pageId = "2c66b3a4-d4f8-11ec-9774-00ffcbed7508",
        tableType = WeaTableType.NONE,
        operates = {
                @OrganizationTableOperate(index = "0", text = "编辑"),
                @OrganizationTableOperate(index = "1", text = "删除"),
                @OrganizationTableOperate(index = "2", text = "查看部门")
        })
public class CompListDTO {
    /**
     * 主键id
     */
    private Long id;

    /**
     * 名称
     */
    @TableTitle(title = "名称", dataIndex = "compName", key = "compName")
    private String compName;

    /**
     * 编号
     */
    @TableTitle(title = "编号", dataIndex = "compNo", key = "compNo")
    private String compNo;

    /**
     * 简称
     */
    @TableTitle(title = "简称", dataIndex = "compNameShort", key = "compNameShort")
    private String compNameShort;

    /**
     * 上级公司
     */
    @TableTitle(title = "上级公司", dataIndex = "parentCompName", key = "parentCompName")
    private String parentCompName;

    private Long parentCompany;

    /**
     * 组织机构代码
     */
    @TableTitle(title = "组织机构代码", dataIndex = "orgCode", key = "orgCode")
    private String orgCode;

    /**
     * 行业
     */
    @TableTitle(title = "行业", dataIndex = "industry", key = "industry")
    private String industry;

    /**
     * 负责人
     */
    @TableTitle(title = "负责人", dataIndex = "compPrincipal", key = "compPrincipal")
    private String compPrincipal;

    /**
     * 禁用标记
     */
    @TableTitle(title = "禁用标记", dataIndex = "forbiddenTag", key = "forbiddenTag")
    private int forbiddenTag;

    /**
     * 操作列
     */
    @TableTitle(title = "操作", dataIndex = "operate", key = "operate")
    private String operate;

    /**
     * 子节点
     */
    private List<CompListDTO> children;

    private Long creator;
    private int deleteType;
    private Date createTime;
    private Date updateTime;
}
