package com.engine.organization.service;

import com.engine.organization.entity.comp.param.CompSearchParam;

import java.util.Collection;
import java.util.Map;

/**
 * @description: TODO
 * @author:dxfeng
 * @createTime: 2022/05/16
 * @version: 1.0
 */
public interface CompService {

    /**
     * 列表
     *
     * @param params
     * @return
     */
    Map<String, Object> listPage(CompSearchParam params);

    /**
     * 保存公司/分部基础信息
     *
     * @param params
     * @return
     */
    int saveBaseComp(CompSearchParam params);

    /**
     * 更新禁用标记
     *
     * @param params
     */
    int updateForbiddenTagById(CompSearchParam params);


    /**
     * 更新分部主表、拓展表、明细表
     *
     * @param params
     * @return
     */
    int updateComp(Map<String, Object> params);


    /**
     * 根据ID批量删除
     *
     * @param ids
     */
    int deleteByIds(Collection<Long> ids);

    /**
     * 获取搜索条件
     *
     * @param params
     * @return
     */
    Map<String, Object> getSearchCondition(Map<String, Object> params);

    /**
     * 获取列表页面按钮信息
     *
     * @return
     */
    Map<String, Object> getHasRight();

    /**
     * 获取基本信息表单
     *
     * @param params
     * @return
     */
    Map<String, Object> getCompBaseForm(Map<String, Object> params);

    /**
     * 获取新增表单
     *
     * @return
     */
    Map<String, Object> getCompSaveForm();

}
